package com.oguerreiro.resilient.activity;

import java.util.List;

import org.slf4j.spi.LoggingEventBuilder;

/**
 * Interface implementations, should have all the properties needed to perform the activity
 */
public interface TaskResult {
	WorkResultEnum getWorkResult();
	List<String> getErrors();
	void logErrrors(LoggingEventBuilder log);
}
